Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122229

Summary: Review Request: nodejs-pac-resolver - Generates an asynchronous resolver function from a PAC file
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-18 19:18:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1122215, 1122220, 1122227, 1122235, 1122245    
Bug Blocks: 956806, 1122228    

Description Ralph Bean 2014-07-22 19:05:16 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-pac-resolver.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-pac-resolver-1.2.2-1.fc20.src.rpm

Description:
This module accepts a JavaScript String of code, which is meant to be a
PAC proxy file, and returns a generated asynchronous `FindProxyForURL()`
function.

Comment 1 Parag AN(पराग) 2014-07-26 05:50:09 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-pac-resolver.noarch: W: only-non-binary-in-usr-lib
nodejs-pac-resolver.noarch: W: dangling-symlink /usr/lib/node_modules/pac-resolver/node_modules/netmask /usr/lib/node_modules/netmask
nodejs-pac-resolver.noarch: W: dangling-symlink /usr/lib/node_modules/pac-resolver/node_modules/co /usr/lib/node_modules/co
nodejs-pac-resolver.noarch: W: dangling-symlink /usr/lib/node_modules/pac-resolver/node_modules/degenerator /usr/lib/node_modules/degenerator
nodejs-pac-resolver.noarch: W: dangling-symlink /usr/lib/node_modules/pac-resolver/node_modules/thunkify /usr/lib/node_modules/thunkify
nodejs-pac-resolver.noarch: W: dangling-symlink /usr/lib/node_modules/pac-resolver/node_modules/regenerator /usr/lib/node_modules/regenerator
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :36b89f56be08f406dbee837de8cd1537bcfcd5e805e9d0a9a32b19cc0bccafbc
upstream tarball :36b89f56be08f406dbee837de8cd1537bcfcd5e805e9d0a9a32b19cc0bccafbc

+ License "MIT" is valid and is included in its README.md file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-08-18 13:23:54 UTC
New Package SCM Request
=======================
Package Name: nodejs-pac-resolver
Short Description: Generates an asynchronous resolver function from a PAC file
Upstream URL: https://npmjs.org/package/pac-resolver
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Kevin Fenzi 2014-08-18 14:52:00 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-08-18 19:04:00 UTC
nodejs-pac-resolver-1.2.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-pac-resolver-1.2.2-1.fc20

Comment 5 Fedora Update System 2014-08-18 19:04:10 UTC
nodejs-pac-resolver-1.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-pac-resolver-1.2.2-1.fc19

Comment 6 Ralph Bean 2014-08-18 19:18:59 UTC
Built in rawhide.

Comment 7 Fedora Update System 2014-09-09 22:05:36 UTC
nodejs-pac-resolver-1.2.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-09-09 22:15:37 UTC
nodejs-pac-resolver-1.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.